## NAME

d.vect - Displays GRASS vector data in the active frame on the graphics monitor.

## SYNOPSIS

d.vect
d.vect help
d.vect [-vacix] map=string [type=string[,string,...]] [display=string[,string,...]] [attrcol=string] [icon=string] [size=integer] [layer=integer] [cats=string] [where=string] [color=string] [fcolor=string] [llayer=integer] [lcolor=string] [bgcolor=string] [bcolor=string] [lsize=integer] [font=string] [xref=string] [yref=string] [minreg=float] [maxreg=float]

### Flags:

-v
  Run verbosely
-a
  Get area fill colors from map table column 'GRASSRGB' (RRR:GGG:BBB)
-c
  Fill areas with random colors according to category number
-i
  Use values from 'cat' option as line id
-x
  Don't add to list of vectors and commands in monitor

### Parameters:

map=string
  Name of input vector
type=string[,string,...]
  Type
  Options: point,line,boundary,centroid,area,face
  Default: point,line,boundary,centroid,area,face
display=string[,string,...]
  Display
  Options: shape,cat,topo,dir,attr,zcoor
  Default: shape
attrcol=string
  Name of column to be displayed
icon=string
  Point and centroid symbol
  Default: basic/x
size=integer
  Icon size
  Default: 8
layer=integer
  Layer number
  Default: 1
cats=string
  Category values.
  Example: 1,3,7-9,13
where=string
  WHERE conditions of SQL statement without 'where' keyword. (example: income < 1000 and inhab >= 10000)
color=string
  Line color
  Default: black
fcolor=string
  Area fill color
  Default: gray
llayer=integer
  Layer for labels
  Default: 1
lcolor=string
  Label color
  Default: red
bgcolor=string
  Label background color
  Default: none
bcolor=string
  Label border color
  Default: none
lsize=integer
  Label size (pixels)
  Default: 8
font=string
  Font name
  Options: cyrilc,gothgbt,gothgrt,gothitt,greekc,greekcs,greekp,greeks,italicc,italiccs,italict,romanc,romancs,romand,romans,romant,scriptc,scripts
  Default: romans
xref=string
  Label horizontal justification
  Options: left,center,right
  Default: left
yref=string
  Label vertical justification
  Options: top,center,bottom
  Default: center
minreg=float
  Minimum region size (average from height and width) when map is displayed
maxreg=float
  Maximum region size (average from height and width) when map is displayed

## DESCRIPTION

d.vect displays GRASS vector data in the active frame on the graphics monitor.

## NOTES

d.vect can simply be used typing d.vect map=vector_map. There are a large variety of optional parameters which allow the user to specify vector type, colors, data fields, SQL queries, label size and justification, etc.

Vector area fill-colors may be specified in an attribute table column named 'GRASSRGB' (which is a `varchar` column containing `RRR:GGG:BBB` values). The -a flag is then used to fill areas based upon the color value associated with each category number.

A table for a vector area map might look like this:

      echo "select * from testisola" | db.select
      cat|label|GRASSRGB
      0|no data|255:255:255
      90|FRASSILONGO|23:245:67
      104|LEVICO|23:145:67
      139|PERGINE VALSUGANA|223:45:237
      168|SANT'ORSOLA|223:45:67
      190|TENNA|123:45:67

To add the GRASSRGB color column, the SQL alter function is used:

      echo "ALTER TABLE testisola ADD COLUMN GRASSRGB varchar(11)" | db.execute

To add/change a color, the SQL update function is used:

      echo "update testisola set GRASSRGB='123:45:237' where cat=139" | db.execute

A much simpler method of color coding is by using the -c flag which fills areas of like category number with a random color.

This module can use FreeType/TrueType fonts if they have already been selected with d.font.freetype.

## EXAMPLES

d.vect map=vectmap display=shape,cat lcolor=green
d.vect map=markveggy.vegtype where="VEGTYPE = 'IFA'"
d.vect -c map=soils display=shape,attr attrcol=label

## SEE ALSO

d.erase, d.what.vect, d.rast, d.font.freetype
GRASS SQL interface
GRASS 5.7 tutorial pages

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/02/13 06:29:21 $

Help Index